### Function

# Gio AppInfo launch_default_for_uri_async

since: 2.50

#### Declaration [src]

    void
    g_app_info_launch_default_for_uri_async (
      const char* uri,
      GAppLaunchContext* context,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Async version of `g_app_info_launch_default_for_uri()`.

This version is useful if you are interested in receiving error information in the case where the application is sandboxed and the portal may present an application chooser dialog to the user.

This is also useful if you want to be sure that the D-Bus–activated applications are really started before termination and if you are interested in receiving error information from their activation.

Available since: 2.50

This function completes asynchronously. Use `g_app_info_launch_default_for_uri_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uri`

  Type: `const char*`

  The uri to show.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`context`

  Type: `GAppLaunchContext`

  Optional launch context.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is done.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.